@import url('./fonts.css');

@tailwind base;
@tailwind components;
@tailwind utilities;


@layer base {
    img {
        display: inline-block;
    }

    body {
        font-family: "open-sans", sans-serif;
        background: #f6f6f8;

    }
}


@layer components {
    .header__menu-list-item {
        @apply mr-[70px] text-header-link cursor-pointer
    }

    .header__menu-list-item--active {
        @apply font-bold text-black after:block after:w-[20px] after:pt-[3px] after:border-b-[2px] after:border-active-link after:m-auto
    }

    .button {
        @apply py-[17px] px-[38px] rounded-[12px] bg-button-blue
    }

    .start-learning__information-title--insert {
        @apply text-title--insert
    }

    .browse__card {
        @apply flex justify-center items-center bg-white shadow-box-shadow-browse-element rounded-[20px] w-[220px] h-[230px] gap-[25px]
    }

    .browse__card+.browse__card {
        @apply ml-[25px]
    }

    .browse__card-img {
        @apply text-center
    }

    .browse__card-title {
        @apply mt-[30px] font-semibold text-[20px] text-center
    }

    .browse__card--active {
        @apply bg-browse-element--active text-white
    }

    .explore__categories-list-item {
        @apply font-medium text-[16px] text-title
    }

    .explore__categories-list-item+.explore__categories-list-item {
        @apply ml-[45px]
    }

    .explore__categories-list-item--active {
        @apply bg-white py-[13px] px-[17px] shadow-box-shadow-explore-categories rounded-[3px]
    }

    .explore__card {
        @apply pb-[25px] bg-white shadow-box-shadow-explore-card rounded-[5px]
    }

    .explore__card-image {
        @apply cursor-pointer
    }

    .explore__card-teacher-info {
        @apply flex items-center mt-[15px] ml-[15px]
    }

    .explore__card-teacher-name {
        @apply ml-[10px] text-[16px] font-medium
    }

    .explore__card-teacher-sphere {
        @apply ml-auto mr-[15px] text-[12px] font-medium rounded-[2px] py-[10px] px-[10px] text-black before:content-['\25CF'] before:text-teacher-sphere before:pr-[4px]
    }

    .explore__card-content {
        @apply ml-[15px] pl-[20px]
    }

    .explore__card-title {
        @apply pt-[15px] max-w-[320px] text-title font-semibold text-[18px] leading-[22px]
    }

    .explore__card-additional-info {
        @apply flex mt-[15px]
    }

    .explore__card-duration {
        @apply flex items-center
    }

    .explore__card-duration-text {
        @apply ml-[10px] text-[14px] font-medium text-title
    }

    .explore__card-best-seller {
        @apply inline bg-best-seller rounded-[2px] py-[7px] px-[10px] font-medium text-[14px] ml-auto mr-[15px]
    }

    .explore__card-price-and-rates {
        @apply flex items-center justify-between mr-[20px] mt-[25px]
    }

    .explore__card-prices {
        @apply flex
    }

    .explore__card-actual-price {
        @apply font-semibold text-[19px]
    }

    .explore__card-old-price {
        @apply font-medium text-[16px] text-title mt-[3px] ml-[5px] line-through
    }

    .explore__card-rate {
        @apply flex items-center
    }

    .explore__card-mark {
        @apply text-[16px] font-medium text-title mt-[2px] mr-[10px]
    }

    .explore__card-rate-star {
        @apply text-[25px]
    }

    .explore__card-rate-star+.explore__card-rate-star {
        @apply ml-[5px]
    }

    .about__card {
        @apply flex items-center bg-white shadow-box-shadow-explore-card rounded-[10px] max-w-[600px] pt-[30px] pr-[20px] pb-[30px]
    }

    .about__card-comments-title {
        @apply text-title font-medium text-[20px]
    }

    .about__card-comments-text {
        @apply mt-[5px] max-w-[430px] text-[16px] leading-[26px]
    }

    .about__card-additional-info {
        @apply flex items-center justify-between
    }

    .about__card-person {
        @apply mt-[10px]
    }

    .about__card-person-name {
        @apply font-medium text-[18px]
    }

    .about__card-person-position {
        @apply mt-[5px] text-[16px]
    }

    .about__card-rate-img+.about__card-rate-img {
        @apply ml-[5px]
    }

    .about__cards {
        @apply flex justify-between mt-[80px]
    }

    .about__cards-slider-arrow--disabled {
        @apply opacity-[0.5]
    }

    .footer__links-title {
        @apply mb-[35px] font-MontserratALT font-semibold text-[26px] text-footer__links-title
    }

    .footer__link-item {
        @apply block font-Nunito text-[20px] leading-[27px] text-footer__link mt-[25px]
    }
}